> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List FQDN connections

> Returns a list of your FQDN connections.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/sip-connections.yml get /fqdn_connections
openapi: 3.1.0
info:
  title: Telnyx SIP Connections API
  version: 2.0.0
  description: API for SIP connections.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /fqdn_connections:
    get:
      tags:
        - FQDN Connections
      summary: List FQDN connections
      description: Returns a list of your FQDN connections.
      operationId: ListFqdnConnections
      parameters:
        - $ref: '#/components/parameters/connections_FilterConsolidated'
        - $ref: '#/components/parameters/connections_PageConsolidated'
        - $ref: '#/components/parameters/connections_SortConnection'
      responses:
        '200':
          $ref: '#/components/responses/ListFqdnConnectionsResponse'
        '400':
          $ref: '#/components/responses/connections_BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthenticatedResponse'
        '403':
          $ref: '#/components/responses/connections_UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/connections_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const fqdnConnection of client.fqdnConnections.list()) {
              console.log(fqdnConnection.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.fqdn_connections.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.FqdnConnections.List(context.TODO(), telnyx.FqdnConnectionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.fqdnconnections.FqdnConnectionListPage;

            import
            com.telnyx.sdk.models.fqdnconnections.FqdnConnectionListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    FqdnConnectionListPage page = client.fqdnConnections().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.fqdn_connections.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->fqdnConnections->list(
                filter: [
                  'connectionName' => ['contains' => 'contains'],
                  'fqdn' => 'fqdn',
                  'outboundVoiceProfileID' => '1293384261075731499',
                ],
                pageNumber: 0,
                pageSize: 0,
                sort: 'connection_name',
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx fqdn-connections list \
              --api-key 'My API Key'
components:
  parameters:
    connections_FilterConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated filter parameter (deepObject style). Originally:
        filter[connection_name], filter[fqdn],
        filter[outbound_voice_profile_id],
        filter[outbound.outbound_voice_profile_id]
      schema:
        type: object
        properties:
          connection_name:
            type: object
            description: Filter by connection_name using nested operations
            properties:
              contains:
                type: string
                default: null
                description: >-
                  If present, connections with <code>connection_name</code>
                  containing the given value will be returned. Matching is not
                  case-sensitive. Requires at least three characters.
          fqdn:
            type: string
            default: null
            description: >-
              If present, connections with an `fqdn` that equals the given value
              will be returned. Matching is case-sensitive, and the full string
              must match.
          outbound_voice_profile_id:
            type: string
            example: '1293384261075731499'
            description: Identifies the associated outbound voice profile.
            x-format: int64
    connections_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 250
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
    connections_SortConnection:
      name: sort
      in: query
      description: >-
        Specifies the sort order for results. By default sorting direction is
        ascending. To have the results sorted in descending order add the <code>
        -</code> prefix.<br/><br/>

        That is: <ul>
          <li>
            <code>connection_name</code>: sorts the result by the
            <code>connection_name</code> field in ascending order.
          </li>

          <li>
            <code>-connection_name</code>: sorts the result by the
            <code>connection_name</code> field in descending order.
          </li>
        </ul> <br/> If not given, results are sorted by <code>created_at</code>
        in descending order.
      schema:
        type: string
        enum:
          - created_at
          - connection_name
          - active
        example: connection_name
        default: created_at
  responses:
    ListFqdnConnectionsResponse:
      description: Successful response with a list of FQDN connections.
      content:
        application/json:
          schema:
            type: object
            title: List FQDN Connections Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/FqdnConnection'
              meta:
                $ref: '#/components/schemas/connections_PaginationMeta'
    connections_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missingParameter:
              value:
                errors:
                  - code: '10015'
                    title: Bad Request
                    detail: The request failed because it was not well-formed.
                    source:
                      pointer: /
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10015
    UnauthenticatedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    connections_UnauthorizedResponse:
      description: >-
        The user doesn't have the required permissions to perform the requested
        action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            notAuthorized:
              value:
                errors:
                  - code: '10010'
                    title: Not authorized
                    detail: You are not authorized to access the requested resource.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10010
                    source:
                      pointer: /
    connections_NotFoundResponse:
      description: The requested resource doesn't exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            notFound:
              value:
                errors:
                  - code: '10005'
                    title: Resource not found
                    detail: The requested resource or URL could not be found.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10005
                    source:
                      pointer: /
  schemas:
    FqdnConnection:
      type: object
      title: FQDN Connection
      required:
        - connection_name
      properties:
        id:
          type: string
          description: Identifies the resource.
          example: '1293384261075731499'
          x-format: int64
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: fqdn_connection
        active:
          type: boolean
          description: Defaults to true
        anchorsite_override:
          $ref: '#/components/schemas/AnchorsiteOverride'
        connection_name:
          $ref: '#/components/schemas/ConnectionName'
        transport_protocol:
          $ref: '#/components/schemas/FqdnConnectionTransportProtocol'
        default_on_hold_comfort_noise_enabled:
          type: boolean
          default: true
          description: >-
            When enabled, Telnyx will generate comfort noise when you place the
            call on hold. If disabled, you will need to generate comfort noise
            or on hold music to avoid RTP timeout.
        dtmf_type:
          $ref: '#/components/schemas/DtmfType'
        encode_contact_header_enabled:
          type: boolean
          default: false
          description: >-
            Encode the SIP contact header sent by Telnyx to avoid issues for NAT
            or ALG scenarios.
        encrypted_media:
          $ref: '#/components/schemas/EncryptedMedia'
        microsoft_teams_sbc:
          type: boolean
          description: The connection is enabled for Microsoft Teams Direct Routing.
          default: false
        onnet_t38_passthrough_enabled:
          type: boolean
          default: false
          description: >-
            Enable on-net T38 if you prefer that the sender and receiver
            negotiate T38 directly when both are on the Telnyx network. If this
            is disabled, Telnyx will be able to use T38 on just one leg of the
            call according to each leg's settings.
        ios_push_credential_id:
          $ref: '#/components/schemas/ConnectionIosPushCredentialId'
        android_push_credential_id:
          $ref: '#/components/schemas/ConnectionAndroidPushCredentialId'
        user_name:
          type: string
          description: The username for the FQDN connection.
        password:
          type: string
          description: The password for the FQDN connection.
        rtp_pass_codecs_on_stream_change:
          type: boolean
          description: Defines if codecs should be passed on stream change.
        adjust_dtmf_timestamp:
          type: boolean
          description: Indicates whether DTMF timestamp adjustment is enabled.
        ignore_dtmf_duration:
          type: boolean
          description: Indicates whether DTMF duration should be ignored.
        ignore_mark_bit:
          type: boolean
          description: Indicates whether the mark bit should be ignored.
        call_cost_enabled:
          type: boolean
          description: Indicates whether call cost calculation is enabled.
        noise_suppression:
          $ref: '#/components/schemas/ConnectionNoiseSuppression'
        send_normalized_timestamps:
          type: boolean
          description: Indicates whether normalized timestamps should be sent.
        third_party_control_enabled:
          type: boolean
          description: Indicates whether third-party control is enabled.
        txt_name:
          type: string
          description: The name for the TXT record associated with the FQDN connection.
        txt_value:
          type: string
          description: The value for the TXT record associated with the FQDN connection.
        txt_ttl:
          type: integer
          description: >-
            The time to live for the TXT record associated with the FQDN
            connection.
        tags:
          type: array
          items:
            type: string
          description: Tags associated with the connection.
          example:
            - tag1
            - tag2
        call_cost_in_webhooks:
          type: boolean
          description: Specifies if call cost webhooks should be sent for this connection.
          default: false
        webhook_event_url:
          $ref: '#/components/schemas/WebhookEventUrl'
        webhook_event_failover_url:
          $ref: '#/components/schemas/WebhookEventFailoverUrl'
        webhook_api_version:
          $ref: '#/components/schemas/WebhookApiVersion'
        webhook_timeout_secs:
          $ref: '#/components/schemas/WebhookTimeoutSecs'
        rtcp_settings:
          $ref: '#/components/schemas/ConnectionRtcpSettings'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        inbound:
          $ref: '#/components/schemas/InboundFqdn'
        outbound:
          $ref: '#/components/schemas/OutboundFqdn'
        noise_suppression_details:
          $ref: '#/components/schemas/ConnectionNoiseSuppressionDetails'
        jitter_buffer:
          $ref: '#/components/schemas/ConnectionJitterBuffer'
      example:
        id: '1293384261075731499'
        record_type: fqdn_connection
        active: true
        anchorsite_override: Latency
        connection_name: string
        transport_protocol: UDP
        default_on_hold_comfort_noise_enabled: true
        dtmf_type: RFC 2833
        encode_contact_header_enabled: true
        encrypted_media: SRTP
        onnet_t38_passthrough_enabled: true
        ios_push_credential_id: ec0c8e5d-439e-4620-a0c1-9d9c8d02a836
        android_push_credential_id: 06b09dfd-7154-4980-8b75-cebf7a9d4f8e
        webhook_event_url: https://example.com
        webhook_event_failover_url: https://failover.example.com
        webhook_api_version: '1'
        webhook_timeout_secs: 25
        call_cost_in_webhooks: false
        tags:
          - tag1
          - tag2
        rtcp_settings:
          port: rtcp-mux
          capture_enabled: true
          report_frequency_secs: 10
        created_at: '2018-02-02T22:25:27.521Z'
        updated_at: '2018-02-02T22:25:27.521Z'
        inbound:
          ani_number_format: +E.164
          dnis_number_format: +e164
          codecs:
            - G722
          channel_limit: 10
          generate_ringback_tone: true
          isup_headers_enabled: true
          prack_enabled: true
          sip_compact_headers_enabled: true
          sip_region: US
          sip_subdomain: string
          sip_subdomain_receive_settings: only_my_connections
          timeout_1xx_secs: 10
          timeout_2xx_secs: 10
          shaken_stir_enabled: true
        outbound:
          ani_override: string
          ani_override_type: always
          call_parking_enabled: true
          channel_limit: 10
          generate_ringback_tone: true
          instant_ringback_enabled: true
          ip_authentication_method: credential-authentication
          ip_authentication_token: string
          localization: string
          outbound_voice_profile_id: '1293384261075731499'
          t38_reinvite_source: customer
          tech_prefix: string
        noise_suppression: both
        noise_suppression_details:
          engine: deep_filter_net
          attenuation_limit: 80
        jitter_buffer:
          enable_jitter_buffer: true
          jitterbuffer_msec_min: 60
          jitterbuffer_msec_max: 200
    connections_PaginationMeta:
      title: Pagination Meta
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              detail:
                type: string
              meta:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
              title:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
    AnchorsiteOverride:
      title: Anchorsite Override
      type: string
      description: >-
        `Latency` directs Telnyx to route media through the site with the lowest
        round-trip time to the user's connection. Telnyx calculates this time
        using ICMP ping messages. This can be disabled by specifying a site to
        handle all media.
      enum:
        - Latency
        - Chicago, IL
        - Ashburn, VA
        - San Jose, CA
        - Sydney, Australia
        - Amsterdam, Netherlands
        - London, UK
        - Toronto, Canada
        - Vancouver, Canada
        - Frankfurt, Germany
      default: Latency
      example: Amsterdam, Netherlands
    ConnectionName:
      title: Connection Name
      type: string
      description: A user-assigned name to help manage the connection.
      example: office-connection
    FqdnConnectionTransportProtocol:
      type: string
      description: >-
        One of UDP, TLS, or TCP. Applies only to connections with IP
        authentication or FQDN authentication.
      default: UDP
      enum:
        - UDP
        - TCP
        - TLS
    DtmfType:
      title: DTMF Type
      type: string
      description: >-
        Sets the type of DTMF digits sent from Telnyx to this Connection. Note
        that DTMF digits sent to Telnyx will be accepted in all formats.
      enum:
        - RFC 2833
        - Inband
        - SIP INFO
      default: RFC 2833
      example: Inband
    EncryptedMedia:
      type:
        - string
        - 'null'
      enum:
        - SRTP
        - null
      example: SRTP
      description: >-
        Enable use of SRTP for encryption. Cannot be set if the
        transport_portocol is TLS.
    ConnectionIosPushCredentialId:
      title: Ios Push Credential Id
      type:
        - string
        - 'null'
      description: The uuid of the push credential for Ios
      example: ec0c8e5d-439e-4620-a0c1-9d9c8d02a836
      default: null
    ConnectionAndroidPushCredentialId:
      title: Android Push Credential Id
      type:
        - string
        - 'null'
      description: The uuid of the push credential for Android
      example: 06b09dfd-7154-4980-8b75-cebf7a9d4f8e
      default: null
    ConnectionNoiseSuppression:
      type: string
      description: >-
        Controls when noise suppression is applied to calls. When set to
        'inbound', noise suppression is applied to incoming audio. When set to
        'outbound', it's applied to outgoing audio. When set to 'both', it's
        applied in both directions. When set to 'disabled', noise suppression is
        turned off.
      enum:
        - inbound
        - outbound
        - both
        - disabled
      example: both
    WebhookEventUrl:
      title: Webhook Event URL
      description: >-
        The URL where webhooks related to this connection will be sent. Must
        include a scheme, such as 'https'.
      type: string
      format: uri
      example: https://example.com
    WebhookEventFailoverUrl:
      title: Webhook Event Failover URL
      description: >-
        The failover URL where webhooks related to this connection will be sent
        if sending to the primary URL fails. Must include a scheme, such as
        'https'.
      type:
        - string
        - 'null'
      format: uri
      default: ''
      example: https://failover.example.com
    WebhookApiVersion:
      title: Webhook API Version
      description: Determines which webhook format will be used, Telnyx API v1 or v2.
      type: string
      enum:
        - '1'
        - '2'
      default: '1'
      example: '1'
    WebhookTimeoutSecs:
      title: Webhook Timeout Secs
      type:
        - integer
        - 'null'
      description: Specifies how many seconds to wait before timing out a webhook.
      minimum: 0
      maximum: 30
      default: null
      example: 25
    ConnectionRtcpSettings:
      type: object
      title: Connection RTCP Settings
      properties:
        port:
          enum:
            - rtcp-mux
            - rtp+1
          default: rtp+1
          description: RTCP port by default is rtp+1, it can also be set to rtcp-mux
          type: string
        capture_enabled:
          type: boolean
          default: false
          description: >-
            BETA - Enable the capture and storage of RTCP messages to create QoS
            reports on the Telnyx Mission Control Portal.
          example: true
        report_frequency_secs:
          type: integer
          default: 5
          description: >-
            RTCP reports are sent to customers based on the frequency set.
            Frequency is in seconds and it can be set to values from 5 to 3000
            seconds.
          example: 10
      example:
        port: rtcp-mux
        capture_enabled: true
        report_frequency_secs: 10
    CreatedAt:
      title: Created At
      type: string
      description: ISO 8601 formatted date indicating when the resource was created.
      example: '2020-02-02T22:25:27.521Z'
    UpdatedAt:
      title: Updated At
      type: string
      description: ISO 8601 formatted date indicating when the resource was updated.
      example: '2020-02-03T22:25:27.521Z'
    InboundFqdn:
      type: object
      title: Inbound FQDN
      properties:
        ani_number_format:
          type: string
          enum:
            - +E.164
            - E.164
            - +E.164-national
            - E.164-national
          default: E.164-national
          description: >-
            This setting allows you to set the format with which the caller's
            number (ANI) is sent for inbound phone calls.
        dnis_number_format:
          type: string
          enum:
            - +e164
            - e164
            - national
            - sip_username
          default: e164
        codecs:
          type: array
          items:
            type: string
          description: >-
            Defines the list of codecs that Telnyx will send for inbound calls
            to a specific number on your portal account, in priority order. This
            only works when the Connection the number is assigned to uses Media
            Handling mode: default. OPUS and H.264 codecs are available only
            when using TCP or TLS transport for SIP.
          default:
            - G722
            - G711U
            - G711A
            - G729
            - OPUS
            - H.264
        default_routing_method:
          type:
            - string
            - 'null'
          enum:
            - sequential
            - round-robin
            - null
          default: sequential
          description: >-
            Default routing method to be used when a number is associated with
            the connection. Must be one of the routing method types or null,
            other values are not allowed.
        default_primary_fqdn_id:
          type:
            - string
            - 'null'
          x-format: int64
          default: null
          description: >-
            The default primary FQDN to use for the number. Only settable if the
            connection is

            of FQDN type. Value must be the ID of an FQDN set on the connection.
        default_secondary_fqdn_id:
          type:
            - string
            - 'null'
          x-format: int64
          default: null
          description: >-
            The default secondary FQDN to use for the number. Only settable if
            the connection is

            of FQDN type. Value must be the ID of an FQDN set on the connection.
        default_tertiary_fqdn_id:
          type:
            - string
            - 'null'
          x-format: int64
          default: null
          description: >-
            The default tertiary FQDN to use for the number. Only settable if
            the connection is

            of FQDN type. Value must be the ID of an FQDN set on the connection.
        channel_limit:
          type:
            - integer
            - 'null'
          default: null
          description: >-
            When set, this will limit the total number of inbound calls to phone
            numbers associated with this connection.
        generate_ringback_tone:
          type: boolean
          default: false
          description: >-
            Generate ringback tone through 183 session progress message with
            early media.
        isup_headers_enabled:
          type: boolean
          default: false
          description: >-
            When set, inbound phone calls will receive ISUP parameters via SIP
            headers. (Only when available and only when using TCP or TLS
            transport.)
        prack_enabled:
          type: boolean
          description: Enable PRACK messages as defined in RFC3262.
          default: false
        sip_compact_headers_enabled:
          type: boolean
          description: Defaults to true.
          default: true
        sip_region:
          type: string
          default: US
          description: >-
            Selects which `sip_region` to receive inbound calls from. If null,
            the default region (US) will be used.
          enum:
            - US
            - Europe
            - Australia
        sip_subdomain:
          type:
            - string
            - 'null'
          default: null
          description: >-
            Specifies a subdomain that can be used to receive Inbound calls to a
            Connection, in the same way a phone number is used, from a SIP
            endpoint. Example: the subdomain "example.sip.telnyx.com" can be
            called from any SIP endpoint by using the SIP URI
            "sip:@example.sip.telnyx.com" where the user part can be any
            alphanumeric value. Please note TLS encrypted calls are not allowed
            for subdomain calls.
        sip_subdomain_receive_settings:
          type: string
          description: >-
            This option can be enabled to receive calls from: "Anyone" (any SIP
            endpoint in the public Internet) or "Only my connections" (any
            connection assigned to the same Telnyx user).
          enum:
            - only_my_connections
            - from_anyone
          default: from_anyone
        timeout_1xx_secs:
          type: integer
          description: Time(sec) before aborting if connection is not made.
          minimum: 1
          maximum: 120
          default: 3
        timeout_2xx_secs:
          type: integer
          description: 'Time(sec) before aborting if call is unanswered (min: 1, max: 600).'
          minimum: 1
          maximum: 600
          default: 90
        shaken_stir_enabled:
          type: boolean
          description: >-
            When enabled the SIP Connection will receive the Identity header
            with Shaken/Stir data in the SIP INVITE message of inbound calls,
            even when using UDP transport.
          default: false
      example:
        ani_number_format: +E.164
        dnis_number_format: +e164
        codecs:
          - G722
        default_routing_method: sequential
        default_primary_fqdn_id: '1293384261075731497'
        default_secondary_fqdn_id: '1293384261075731498'
        default_tertiary_fqdn_id: '1293384261075731499'
        channel_limit: 10
        generate_ringback_tone: true
        isup_headers_enabled: true
        prack_enabled: true
        sip_compact_headers_enabled: true
        sip_region: US
        sip_subdomain: test
        sip_subdomain_receive_settings: only_my_connections
        timeout_1xx_secs: 10
        timeout_2xx_secs: 20
        shaken_stir_enabled: true
    OutboundFqdn:
      type: object
      title: Connection Outbound Settings
      properties:
        ani_override:
          title: ANI override type
          type: string
          description: >-
            Set a phone number as the ani_override value to override caller id
            number on outbound calls.
          x-format: E.164
        ani_override_type:
          title: ANI override type
          type: string
          description: >-
            Specifies when we should apply your ani_override setting. Only
            applies when ani_override is not blank.
          enum:
            - always
            - normal
            - emergency
          default: always
          example: normal
        call_parking_enabled:
          type:
            - boolean
            - 'null'
          default: false
          description: >-
            Forces all SIP calls originated on this connection to be \"parked\"
            instead of \"bridged\" to the destination specified on the URI.
            Parked calls will return ringback to the caller and will await for a
            Call Control command to define which action will be taken next.
        channel_limit:
          type: integer
          description: >-
            When set, this will limit the total number of inbound calls to phone
            numbers associated with this connection.
        generate_ringback_tone:
          type: boolean
          default: false
          description: >-
            Generate ringback tone through 183 session progress message with
            early media.
        instant_ringback_enabled:
          type: boolean
          default: false
          description: >-
            When set, ringback will not wait for indication before sending
            ringback tone to calling party.
        ip_authentication_method:
          type: string
          example: credential-authentication
          default: ip-authentication
          enum:
            - credential-authentication
            - ip-authentication
        ip_authentication_token:
          type: string
        localization:
          type: string
          default: US
          description: >-
            A 2-character country code specifying the country whose national
            dialing rules should be used. For example, if set to `US` then any
            US number can be dialed without preprending +1 to the number. When
            left blank, Telnyx will try US and GB dialing rules, in that order,
            by default.",
          example: US
        outbound_voice_profile_id:
          $ref: '#/components/schemas/connections_OutboundVoiceProfileId'
        t38_reinvite_source:
          type: string
          enum:
            - telnyx
            - customer
            - disabled
            - passthru
            - caller-passthru
            - callee-passthru
          description: >-
            This setting only affects connections with Fax-type Outbound Voice
            Profiles. The setting dictates whether or not Telnyx sends a t.38
            reinvite. By default, Telnyx will send the re-invite. If set to
            `customer`, the caller is expected to send the t.38 reinvite.
          default: customer
        tech_prefix:
          type: string
          description: Numerical chars only, exactly 4 characters.
        encrypted_media:
          $ref: '#/components/schemas/EncryptedMedia'
        timeout_1xx_secs:
          type: integer
          description: Time(sec) before aborting if connection is not made.
          minimum: 1
          maximum: 120
          default: 3
        timeout_2xx_secs:
          type: integer
          description: 'Time(sec) before aborting if call is unanswered (min: 1, max: 600).'
          minimum: 1
          maximum: 600
          default: 90
    ConnectionNoiseSuppressionDetails:
      type: object
      description: >-
        Configuration options for noise suppression. These settings are stored
        regardless of the noise_suppression value, but only take effect when
        noise_suppression is not 'disabled'. If you disable noise suppression
        and later re-enable it, the previously configured settings will be used.
      properties:
        engine:
          type: string
          description: >-
            The noise suppression engine to use. 'denoiser' is the default
            engine. 'deep_filter_net' and 'deep_filter_net_large' are
            alternative engines with different performance characteristics.
            Krisp engines ('krisp_viva_tel', 'krisp_viva_tel_lite',
            'krisp_viva_promodel', 'krisp_viva_ss') provide advanced noise
            suppression capabilities. 'quail_voice_focus' provides Quail-based
            voice focus noise suppression.
          enum:
            - denoiser
            - deep_filter_net
            - deep_filter_net_large
            - krisp_viva_tel
            - krisp_viva_tel_lite
            - krisp_viva_promodel
            - krisp_viva_ss
            - quail_voice_focus
          default: denoiser
          example: deep_filter_net
        attenuation_limit:
          type: integer
          description: >-
            The attenuation limit value for the selected engine. Default values
            vary by engine: 0 for 'denoiser', 80 for 'deep_filter_net',
            'deep_filter_net_large', and all Krisp engines ('krisp_viva_tel',
            'krisp_viva_tel_lite', 'krisp_viva_promodel', 'krisp_viva_ss'), 100
            for 'quail_voice_focus'.
          minimum: 0
          maximum: 100
          multipleOf: 10
          example: 80
    ConnectionJitterBuffer:
      type: object
      description: >-
        Configuration options for Jitter Buffer. Enables Jitter Buffer for RTP
        streams of SIP Trunking calls. The feature is off unless enabled. You
        may define min and max values in msec for customized buffering
        behaviors. Larger values add latency but tolerate more jitter, while
        smaller values reduce latency but are more sensitive to jitter and
        reordering.
      properties:
        enable_jitter_buffer:
          type: boolean
          description: >-
            Enables Jitter Buffer for RTP streams of SIP Trunking calls. The
            feature is off unless enabled.
          default: false
          example: true
        jitterbuffer_msec_min:
          type: integer
          description: >-
            The minimum jitter buffer size in milliseconds. Must be between 40
            and 400. Has no effect if enable_jitter_buffer is not true.
          minimum: 40
          maximum: 400
          default: 60
          example: 60
        jitterbuffer_msec_max:
          type: integer
          description: >-
            The maximum jitter buffer size in milliseconds. Must be between 40
            and 400. Has no effect if enable_jitter_buffer is not true.
          minimum: 40
          maximum: 400
          default: 200
          example: 200
    connections_OutboundVoiceProfileId:
      title: Outbound Voice Profile ID
      type: string
      description: Identifies the associated outbound voice profile.
      example: '1293384261075731499'
      x-format: int64
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````